Give feedback on the match between an Employee and a Vacancy
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedback": "thumbs_up"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback"
payload = { "feedback": "thumbs_up" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedback: 'thumbs_up'})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Match Feedback
Give feedback on the match between an Employee and a Vacancy
Give feedback on the match between an Employee and a Vacancy
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique external ID linked to this Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Unique external ID linked to this Vacancy, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Body
application/json
Thumbs up or down can indicate whether a match is positive or negative.
Available options:
thumbs_up, thumbs_down Example:
"thumbs_up"
Response
No Content
Was this page helpful?
⌘I